#!/usr/bin/env python3

import math
import sys
import socket
import time
import os.path

from sys import platform as _platform
from time import sleep
from glob import glob
from socket import *
from struct import *

#print(socket.gethostname())

# pillow, thread
if sys.version_info[0] == 3:
    print("Python3")
    from tkinter import *
    from PIL import Image, ImageTk
    try:
        import _thread
    except ImportError:
        import _dummy_thread as _thread
else:
    print("Python2")
    from Tkinter import *
    from PIL import Image
    try:
        import thread as _thread
    except ImportError:
        import dummy_thread as _thread

a_lock = _thread.allocate_lock()

# tkinter root
root = Tk()
root.title('V2V DVI Display')
w, h = root.winfo_screenwidth(), root.winfo_screenheight()
print("Display resolution = ", w, "x", h)

